<?php
/**
 * @package Writings
 */
function writings_customizer_single_post( $options ) {
	/**
	 *	Add Section.
	 *--------------------------------------------------------------*/
	$options[] = array(
		  'slug'        => 'single_post_settings',
		  'opt_type'    => 'section',
		  'name'        => esc_html__( 'Single Post', 'writings' ),
		  'description' => esc_html__( 'Settings when displaying a single post.', 'writings' ),
		  'priority'    => 110,
	);

	/**
	 * Options
	 *--------------------------------------------------------------*/
	# Featured Image.
	$options[] = array(
		  'slug'        => 'single_featured_image',
		  'opt_type'    => 'text_radio_button',
		  'choices'		=> array(
							'display' => esc_html__( 'Yes', 'writings' ),
							'hidden' => esc_html__( 'No', 'writings' )
						),
		  'name'        => esc_html__( 'Show Featured Image', 'writings' ),
		  'default'     => 'display',
		  'section'     => 'single_post_settings',
		  'transport'   => 'refresh',
		  'sanitize_cb' => 'writings_text_sanitization',
	);
	
	# Featured Image position.
	$options[] = array(
		  'slug'        => 'position_single_featured_image',
		  'opt_type'    => 'text_radio_button',
		  'choices'		=> array(
							'above' => esc_html__( 'Above the title', 'writings' ),
							'below' => esc_html__( 'Below the title', 'writings' )
						),
		  'name'        => esc_html__( 'Where to show a Featured image?', 'writings' ),
		  'default'     => 'below',
		  'section'     => 'single_post_settings',
		  'transport'   => 'refresh',
		  'sanitize_cb' => 'writings_text_sanitization',
	);
	
	return $options;
}
add_filter( 'writings_settings_input', 'writings_customizer_single_post' );